function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--inverse-text-primary);\n                ",
        ": var(--surface-solid-default);\n                ",
        ": var(",
        ");\n                ",
        ": var(--inverse-text-primary-hover);\n                ",
        ": var(--inverse-text-primary-active);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--surface-accent);\n                ",
        ": var(",
        ");\n                ",
        ": var(--surface-accent-hover);\n                ",
        ": var(--surface-accent-active);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--surface-transparent-secondary);\n                ",
        ": var(",
        ");\n                ",
        ": var(--surface-transparent-secondary-hover);\n                ",
        ": var(--surface-transparent-secondary-active);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--text-primary);\n                ",
        ": var(--surface-clear);\n                ",
        ": var(",
        ");\n                ",
        ": var(--surface-transparent-secondary-hover);\n                ",
        ": var(--surface-transparent-secondary-active);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--surface-positive);\n                ",
        ": var(",
        ");\n                ",
        ": var(--surface-positive-hover);\n                ",
        ": var(--surface-positive-active);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject5() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--surface-warning);\n                ",
        ": var(",
        ");\n                ",
        ": var(--surface-warning-hover);\n                ",
        ": var(--surface-warning-active);\n            "
    ]);
    _templateObject5 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject6() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--surface-negative);\n                ",
        ": var(",
        ");\n                ",
        ": var(--surface-negative-hover);\n                ",
        ": var(--surface-negative-active);\n            "
    ]);
    _templateObject6 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject7() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--on-light-surface-transparent-deep);\n                ",
        ": var(",
        ");\n                ",
        ": var(--on-dark-text-primary-hover);\n                ",
        ": var(--on-dark-text-primary-active);\n            "
    ]);
    _templateObject7 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject8() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-dark-text-primary);\n                ",
        ": var(--on-light-surface-solid-default);\n                ",
        ": var(",
        ");\n                ",
        ": var(--on-dark-text-primary-hover);\n                ",
        ": var(--on-dark-text-primary-active);\n            "
    ]);
    _templateObject8 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject9() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--on-light-text-primary);\n                ",
        ": var(--on-dark-surface-solid-default);\n                ",
        ": var(",
        ");\n                ",
        ": var(--on-light-text-primary-hover);\n                ",
        ": var(--on-light-text-primary-active);\n            "
    ]);
    _templateObject9 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject10() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 4rem;\n                ",
        ": 4rem;\n                ",
        ": 1.75rem;\n                ",
        ": 1rem;\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n\n                ",
        ": 1.5rem;\n                ",
        ": inherit;\n            "
    ]);
    _templateObject10 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject11() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 3.5rem;\n                ",
        ": 3.5rem;\n                ",
        ": 1.5rem;\n                ",
        ": 0.875rem;\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n\n                ",
        ": 1.375rem;\n                ",
        ": inherit;\n            "
    ]);
    _templateObject11 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject12() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 3rem;\n                ",
        ": 3rem;\n                ",
        ": 1.25rem;\n                ",
        ": 0.75rem;\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-m-letter-spacing);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n\n                ",
        ": 1.375rem;\n                ",
        ": inherit;\n            "
    ]);
    _templateObject12 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject13() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 2.5rem;\n                ",
        ": 2.5rem;\n                ",
        ": 1rem;\n                ",
        ": 0.625rem;\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n\n                ",
        ": 1.375rem;\n                ",
        ": inherit;\n            "
    ]);
    _templateObject13 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject14() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 2rem;\n                ",
        ": 2rem;\n                ",
        ": 0.75rem;\n                ",
        ": 0.5rem;\n                ",
        ": var(--plasma-typo-body-xs-font-family);\n                ",
        ": var(--plasma-typo-body-xs-font-size);\n                ",
        ": var(--plasma-typo-body-xs-font-style);\n                ",
        ": var(--plasma-typo-body-xs-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xs-line-height);\n\n                ",
        ": 1rem;\n                ",
        ": inherit;\n            "
    ]);
    _templateObject14 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject15() {
    var data = _tagged_template_literal([
        "\n                ",
        ": 0.4;\n            "
    ]);
    _templateObject15 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject16() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--surface-accent);\n            "
    ]);
    _templateObject16 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, iconButtonTokens } from '@salutejs/plasma-new-hope/styled-components';
export var config = {
    defaults: {
        view: 'default',
        focused: 'true',
        size: 'm'
    },
    variations: {
        view: {
            default: css(_templateObject(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonColorHover, iconButtonTokens.iconButtonColorActive),
            accent: css(_templateObject1(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonBackgroundColorHover, iconButtonTokens.iconButtonBackgroundColorActive),
            secondary: css(_templateObject2(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonBackgroundColorHover, iconButtonTokens.iconButtonBackgroundColorActive),
            clear: css(_templateObject3(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonBackgroundColorHover, iconButtonTokens.iconButtonBackgroundColorActive),
            success: css(_templateObject4(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonBackgroundColorHover, iconButtonTokens.iconButtonBackgroundColorActive),
            warning: css(_templateObject5(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonBackgroundColorHover, iconButtonTokens.iconButtonBackgroundColorActive),
            critical: css(_templateObject6(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonBackgroundColorHover, iconButtonTokens.iconButtonBackgroundColorActive),
            dark: css(_templateObject7(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonColorHover, iconButtonTokens.iconButtonColorActive),
            black: css(_templateObject8(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonColorHover, iconButtonTokens.iconButtonColorActive),
            white: css(_templateObject9(), iconButtonTokens.iconButtonColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonLoadingBackgroundColor, iconButtonTokens.iconButtonBackgroundColor, iconButtonTokens.iconButtonColorHover, iconButtonTokens.iconButtonColorActive)
        },
        size: {
            xl: css(_templateObject10(), iconButtonTokens.iconButtonHeight, iconButtonTokens.iconButtonWidth, iconButtonTokens.iconButtonPadding, iconButtonTokens.iconButtonRadius, iconButtonTokens.iconButtonFontFamily, iconButtonTokens.iconButtonFontSize, iconButtonTokens.iconButtonFontStyle, iconButtonTokens.iconButtonFontWeight, iconButtonTokens.iconButtonLetterSpacing, iconButtonTokens.iconButtonLineHeight, iconButtonTokens.iconButtonSpinnerSize, iconButtonTokens.iconButtonSpinnerColor),
            l: css(_templateObject11(), iconButtonTokens.iconButtonHeight, iconButtonTokens.iconButtonWidth, iconButtonTokens.iconButtonPadding, iconButtonTokens.iconButtonRadius, iconButtonTokens.iconButtonFontFamily, iconButtonTokens.iconButtonFontSize, iconButtonTokens.iconButtonFontStyle, iconButtonTokens.iconButtonFontWeight, iconButtonTokens.iconButtonLetterSpacing, iconButtonTokens.iconButtonLineHeight, iconButtonTokens.iconButtonSpinnerSize, iconButtonTokens.iconButtonSpinnerColor),
            m: css(_templateObject12(), iconButtonTokens.iconButtonHeight, iconButtonTokens.iconButtonWidth, iconButtonTokens.iconButtonPadding, iconButtonTokens.iconButtonRadius, iconButtonTokens.iconButtonFontFamily, iconButtonTokens.iconButtonFontSize, iconButtonTokens.iconButtonFontStyle, iconButtonTokens.iconButtonFontWeight, iconButtonTokens.iconButtonLetterSpacing, iconButtonTokens.iconButtonLineHeight, iconButtonTokens.iconButtonSpinnerSize, iconButtonTokens.iconButtonSpinnerColor),
            s: css(_templateObject13(), iconButtonTokens.iconButtonHeight, iconButtonTokens.iconButtonWidth, iconButtonTokens.iconButtonPadding, iconButtonTokens.iconButtonRadius, iconButtonTokens.iconButtonFontFamily, iconButtonTokens.iconButtonFontSize, iconButtonTokens.iconButtonFontStyle, iconButtonTokens.iconButtonFontWeight, iconButtonTokens.iconButtonLetterSpacing, iconButtonTokens.iconButtonLineHeight, iconButtonTokens.iconButtonSpinnerSize, iconButtonTokens.iconButtonSpinnerColor),
            xs: css(_templateObject14(), iconButtonTokens.iconButtonHeight, iconButtonTokens.iconButtonWidth, iconButtonTokens.iconButtonPadding, iconButtonTokens.iconButtonRadius, iconButtonTokens.iconButtonFontFamily, iconButtonTokens.iconButtonFontSize, iconButtonTokens.iconButtonFontStyle, iconButtonTokens.iconButtonFontWeight, iconButtonTokens.iconButtonLetterSpacing, iconButtonTokens.iconButtonLineHeight, iconButtonTokens.iconButtonSpinnerSize, iconButtonTokens.iconButtonSpinnerColor)
        },
        disabled: {
            true: css(_templateObject15(), iconButtonTokens.iconButtonDisabledOpacity)
        },
        focused: {
            true: css(_templateObject16(), iconButtonTokens.iconButtonFocusColor)
        }
    }
};
